# Generated from tmp_file-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name tmp_file

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: TmpFile provides one method: * open, which creates a temporary file with the provided data and the appropriate extension for the MIME type, yields the file handler to a block, and deletes the file once the block is completed
License: MIT
URL: https://github.com/topspin/tmp_file
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.8.7
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(redcarpet)
# BuildRequires: rubygem(yard)
BuildArch: noarch

%description
Yields a temporary file with given data and MIME type.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Thu Sep 16 2021 mockbuilder - 0.0.1-1
- Initial package
